AOZ Studio Beta - Bug #747

F5 causing error for sqr()
05/05/2021 03:46 PM - Paul Kitching

Status: New Start date: 05/05/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: 1.0.0 (B10) u16

Description

Enter sqgr() and press F5 on it to bring up the help. It gives an error:

Image not defined at line 648, column 13 in file main.aoz

History

#1 - 06/20/2021 08:53 PM - Brian Flanagan

- Affected version changed from Beta 7 to 1.0.0 (B8)

Re-tested in 1.0.0 (B8) v14
Partially fixed.

If you type:

Sqr

...and then hit F5, you'll get what you expect, however, if you type:

Sqr ()

...(with the parentheses), and then hit F5, it no longer gets an error, however, it returns the wrong help.

#2 - 06/20/2021 09:37 PM - Brian Flanagan
- File Wrong_Help.png added

- Assignee changed from Paul Kitching to Francois Lionet

With the cursor placed after the ( the results are unexpected.

#3 - 09/19/2021 06:24 PM - Paul Kitching

- Affected version changed from 1.0.0 (B8) to 1.0.0 (B10) u16

Still a problem in Beta 10.
